com.smartgwt.client.docs.serverds

## Class Criterion

- java.lang.Object
- - com.smartgwt.client.docs.serverds.Criterion

-     public class Criterion
      extends java.lang.Object

  An object representing a criterion to apply to a record.

  This class is not meant to be created and used, it is actually documentation of settings allowed in a DataSource descriptor (.ds.xml file), for use with Smart GWT Pro Edition and above. See `com.smartgwt.client.docs.serverds` for how to use this documentation.

  A criterion is part of the definition of an `AdvancedCriteria` object, which is used to filter records according to search criteria.

  A criterion consists of an `operator` and typically a `fieldName` from a `Record` and a `value` to compare to. However some operators either don't require a value (eg, isNull) or act on other criteria rather than directly on a `Record`'s fields (eg, the "and" and "or" logical operators).

  A shortcut form is also allowed where only `fieldName` and `value` values are provided. In this case the `operator` is assumed to be "equals".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Criterion[]` | `criteria` For a criterion with an operator that acts on other criteria (eg "and", "or"), a list of sub-criteria that are grouped together by the operator.
    `java.lang.Object` | `end` End value of a criterion with an operator of type `"valueRange"`.
    `java.lang.String` | `fieldName` Name of the field in each `Record` that this criterion applies to.
    `OperatorId` | `operator` Operator this criterion applies.
    `java.lang.Object` | `start` Start value of a criterion with an operator of type `"valueRange"`.
    `java.lang.Object` | `value` Value to be used in the application of this criterion.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Criterion()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### end

          public java.lang.Object end

      End value of a criterion with an operator of type `"valueRange"`.

      Default value is null

    - #### fieldName

          public java.lang.String fieldName

      Name of the field in each `Record` that this criterion applies to. Not applicable for a criterion with `sub-criteria`. Can be specified as a dataPath to allow matching nested objects. Use '/' as delimiters for dataPath. See `dataPath` for more information.

      Default value is null

    - #### value

          public java.lang.Object value

      Value to be used in the application of this criterion.

      Value may be required or not required, or may be an Array, according to the `OperatorValueType` of the operator.

      Default value is null

    - #### operator

          public OperatorId operator

      Operator this criterion applies.

      Default value is null

    - #### criteria

          public Criterion[] criteria

      For a criterion with an operator that acts on other criteria (eg "and", "or"), a list of sub-criteria that are grouped together by the operator.

      Default value is null

    - #### start

          public java.lang.Object start

      Start value of a criterion with an operator of type `"valueRange"`.

      Default value is null

  - ### Constructor Detail

    - #### Criterion

          public Criterion()